Jump to content

MediaWiki:Common.css: Difference between revisions

From Scampsopedia
No edit summary
No edit summary
Line 17: Line 17:
   display: contents;
   display: contents;
   margin: 0;
   margin: 0;
}
.scamp-button:not(:has(> p > a)) {
  padding: 1rem;
}
.scamp-button:has(> p > a) {
  padding: 0;
}
}


Line 22: Line 31:
   text-align: center;
   text-align: center;
   flex: 1;
   flex: 1;
  padding: 0;
}
}


.scamp-button > p > a.external {
.scamp-button > p > a.external {
   background-image: none;
   background-image: none;
  padding: 0;
}
}

Revision as of 22:45, 6 January 2026

.scamp-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--background-color-interactive);
  text-color: var(--color-base)
}

.scamp-button:hover {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--background-color-interactive--hover);
}

.scamp-button > p {
  display: contents;
  margin: 0;
}


.scamp-button:not(:has(> p > a)) { 
  padding: 1rem;
}

.scamp-button:has(> p > a) { 
  padding: 0;
}

.scamp-button > p > a { 
  text-align: center;
  flex: 1;
}

.scamp-button > p > a.external {
  background-image: none;
  padding: 0;
}